import { PropsWithChildren, ReactElement } from "react";
interface propsType {
    id: string;
    userServices?: Record<string, string[]>;
}
declare type optionals = {
    childrenType?: "component";
    redirect?: never;
} | {
    childrenType: "route";
    redirect: () => void;
};
export declare type NerdSecurityGateProps = propsType & optionals;
/**
 * NerdSecurityGate
 *
 * @param {propsType & optionals} props component props
 * @returns {ReactElement} NerdSecurityGate
 */
export declare function NerdSecurityGate(props: PropsWithChildren<NerdSecurityGateProps>): ReactElement | null;
export {};
